<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="jeux.css">
</head>

<body>



    <div id="container-panier">
    <img src="img/image_processing20200817-32184-qlh2du.png" alt="panier" id="panier">
    </div>


    <div id="balle">
        <img id="ballon" src="img/Isolated_basketball.png" alt="ballon basket" width="50px">
    </div>


    
</body>
<script>
    ballon.style.position = "fixed"
    let GROUND_POS_UP = window.innerHeight*0.5
    let decalageTop = 100;
    let balleTop =  GROUND_POS_UP
    let balleLeft = 0
    ballon.style.position.up = balleTop + "px"
    ballon.style.position.left = balleLeft + "px"
    addEventListener('mousedown', (event) => { 
        console.log("clicked") 
        balleTop -= decalageTop
        ballon.style.top =  balleTop + "px"


    });

    function detectionCollison(){
        //140min 211max axe des y
        let LARGEUR_PANIER = 157
        let HAUTEUR_PANIER = 211
        let I = 0 
        console.log("balleLeft=" + balleLeft + " , panier.getBoundingClientRect().x=" + panier.getBoundingClientRect().x)
        if (balleLeft > panier.getBoundingClientRect().x && balleLeft < panier.getBoundingClientRect().x + LARGEUR_PANIER && balleTop > panier.getBoundingClientRect().y && balleTop < panier.getBoundingClientRect().y + HAUTEUR_PANIER){
                balleLeft = 0
                balleTop = GROUND_POS_UP
                decalageTop = decalageTop - 10
        }   

        //while ()


    }
    let position = 0;
    function update() {
        //console.log("update called position=" + position)
        balleLeft += 1
        
        if (balleLeft >= window.innerWidth) {
            balleLeft = 0
        }

        
       if ( balleTop < GROUND_POS_UP) {
            balleTop += 1
       }
       //console.log("balleTop=" + balleTop + " window.innerHeight=" + window.innerHeight + " GROUND_POS_UP=" + GROUND_POS_UP)

        ballon.style.left =  balleLeft + "px"
        ballon.style.top =  balleTop + "px"

        detectionCollison()
    }

    
    
    


    setInterval(update, 1)


</script>
</html>